/*
 * note: probe names are upper-case in the source and prefixed by provider
 * So we'll have trace points like:
 *  CMOGSTORED_HTTP_RDERR for the "http_rderr" trace point
 *
 * Warning: probe points are currently an unstable interface and likely
 * to change in 2013
 */
provider cmogstored {
	probe http_rderr(size_t buf_len, int err);
	probe http_rdclose(size_t buf_len);
	probe http_accepted(int fd, const char *host, const char *port,
				const char *listen_addr);

	probe http_req_begin(bool pipelined);
	/* DWARF: http_process_client */
	/* DWARF: mog_http_get_open */
	probe http_req_end();

	probe mgmt_accepted(int fd, const char *host, const char *port,
				const char *listen_addr);
	probe mgmt_rderr(struct mog_fd *mfd, size_t buf_len, int err);
	probe mgmt_rdclose(struct mog_fd *mfd, size_t buf_len);

	probe write_buffered();
};
